Bug 241437 - cyrus-imapd doesn't start due to missing db4-utils package
cyrus-imapd doesn't start due to missing db4-utils package
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Janousek
Fedora Extras Quality Assurance
:
: 242319 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 19:12 EDT by Nils Philippsen
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 11:13:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2007-05-25 19:12:13 EDT
Description of problem:

SSIA, importing the Cyrus databases requires the db_checkpoint and db_recover
tools which have been put into the db4-utils package; cyrus-imapd should just
require that package.

Version-Release number of selected component (if applicable):

cyrus-imapd-2.3.8-3.fc7

How reproducible:

Easy

Steps to Reproduce:
1. Install cyrus-imapd without db4-utils
2. Start cyrus-imapd
3. Look into /var/lib/imap/rpm/db_import.log
  
Actual results:

cvt_cyrusdb_all version: 1.2.1
/usr/lib/cyrus-imapd/cvt_cyrusdb_all: line 260: db_checkpoint: command not found
/usr/lib/cyrus-imapd/cvt_cyrusdb_all: line 278: db_recover: command not found
/usr/lib/cyrus-imapd/cvt_cyrusdb_all: line 282: db_recover: command not found
ERROR: catastrophic recovery of Berkeley databases failed
[...]

Expected results:

No error, cyrus-imapd starts.

Additional info:
Comment 1 Tomas Janousek 2007-05-28 06:36:59 EDT
It does require db4-utils:
http://koji.fedoraproject.org/koji/rpminfo?rpmID=41249

How did you install it?
Comment 2 Nils Philippsen 2007-05-29 06:44:49 EDT
Hm. I upgraded from FC6 plus updates to the F7 release candidate with the
installer. Afterwards I upgraded the remaining packages (those not on the DVD,
including cyrus-imapd) with yum. I'm a bit boggled why this didn't pull in
db4-utils...
Comment 3 Tomas Janousek 2007-06-01 09:55:17 EDT
I have no idea but there is an explicit Require in the specfile of cyrus-imapd.
Comment 4 Nils Philippsen 2007-06-01 11:13:52 EDT
Hmm, perhaps a yum Heisen-bug? I'll close it for now...
Comment 5 Tomas Janousek 2007-07-10 04:39:08 EDT
*** Bug 242319 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.